# Class DriverPropertyInfo

java.lang.Object
java.sql.DriverPropertyInfo

public class DriverPropertyInfo extends Object

Driver properties for making a connection. The `DriverPropertyInfo` class is of interest only to advanced programmers. The method `Driver.getPropertyInfo(String, Properties)` may be used to discover Driver properties.

Since:
  1.1

## Field Summary

Fields
Modifier and Type
Field
Description
`String[]`
`choices`
An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.
`String`
`description`
A brief description of the property, which may be null.
`String`
`name`
The name of the property.
`boolean`
`required`
The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.
`String`
`value`
The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values.

## Constructor Summary

Constructors
Constructor
Description
`DriverPropertyInfo(String name, String value)`
Constructs a `DriverPropertyInfo` object with a given name and value.

## Method Summary

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### name

public String name
The name of the property.

### description

public String description
A brief description of the property, which may be null.

### required

public boolean required
The `required` field is `true` if a value must be supplied for this property during `Driver.connect` and `false` otherwise.

### value

public String value
The `value` field specifies the current value of the property, based on a combination of the information supplied to the method `getPropertyInfo`, the Java environment, and the driver-supplied default values. This field may be null if no value is known.

### choices

public String[] choices
An array of possible values if the value for the field `DriverPropertyInfo.value` may be selected from a particular set of values; otherwise null.

## Constructor Details

### DriverPropertyInfo

public DriverPropertyInfo(String name, String value)
Constructs a `DriverPropertyInfo` object with a given name and value. The `description` and `choices` are initialized to `null` and `required` is initialized to `false`.

Parameters:
  `name` - the name of the property
  `value` - the current value, which may be null